﻿@model SportsClub.Models.ParticipantViewModel

@using Jumbula.Common.Helper

@{
    var genders = Enum.GetValues(typeof(GenderCategories)).Cast<GenderCategories>().Select(d => new SelectListItem { Text = d.ToDescription(), Value = d.ToString() }).ToList().Where(e => e.Value != GenderCategories.All.ToDescription());

}

@using (Html.BeginForm("ParticipantInformation", "Registrant", FormMethod.Post, new { @id = "ParticipantInformation", @name = "myForm" }))
{
    @Html.AntiForgeryToken()

    <div class="row">

        <div class="col-md-12">
            <div class="form-group">
                <label class="title ng-binding">Do you have medical conditions and special needs?</label>
                @Html.DropDownListFor(model => model.Info.HasSpecialNeeds, new List<SelectListItem>()
                    {
                    new SelectListItem() { Text = "", Value = ""},
                    new SelectListItem() { Text = "No", Value = "False"},
                    new SelectListItem() { Text = "Yes", Value = "True" },

                    }, new { @id = "hasSpecialNeeds", @class = "form-control" })

            </div>
            <div class="form-group" style="display:@((Model.Info.HasSpecialNeeds !=null && Model.Info.HasSpecialNeeds.Value) ? "block" :"none" )">
                <label class="title ng-binding req-star">Medical conditions and special needs</label>
                @Html.TextAreaFor(model => model.Info.SpecialNeeds, 4, 50, new { @class = "form-control ", @id = "hasSpecialNeedsDescription" })
                @Html.ValidationMessageFor(model => model.Info.SpecialNeeds, "", new { @class = "text-danger" })
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label class="title ng-binding">Do you have allergies and dietary restrictions?</label>
                @Html.DropDownListFor(model => model.Info.HasAllergies, new List<SelectListItem>()
            {
            new SelectListItem() { Text = "", Value = ""},
            new SelectListItem() { Text = "No", Value = "False"},
            new SelectListItem() { Text = "Yes", Value = "True" },

            }, new { @id = "hasAllergies", @class = "form-control" })

            </div>
            <div class="form-group" style="display:@((Model.Info.HasAllergies !=null && Model.Info.HasAllergies.Value) ? "block" :"none" )">
                <label class="title ng-binding req-star">Allergies and dietary restrictions</label>
                @Html.TextAreaFor(model => model.Info.Allergies, 4, 50, new { @class = "form-control ", @id = "allergiesDescription" })
                @Html.ValidationMessageFor(model => model.Info.Allergies, "", new { @class = "text-danger" })
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label class="title ng-binding">Self-administered medication</label>
                @Html.DropDownListFor(model => model.Info.SelfAdministerMedication, new List<SelectListItem>()
                    {
                        new SelectListItem() { Text = "", Value = ""},
                        new SelectListItem() { Text = "No", Value = "False"},
                        new SelectListItem() { Text = "Yes", Value = "True" },

                    }, new { @id = "selfAdministered", @class = "form-control" })

            </div>
            <div class="form-group" style="display:@((Model.Info.SelfAdministerMedication !=null && Model.Info.SelfAdministerMedication.Value) ? "block" :"none" )">
                <label class="title ng-binding req-star">Self-administered medication description</label>
                @Html.TextAreaFor(model => model.Info.SelfAdministerMedicationDescription, 4, 50, new { @class = "form-control ", @id = "selfAdministeredDescription"  })
                @Html.ValidationMessageFor(model => model.Info.SelfAdministerMedicationDescription, "", new { @class = "text-danger" })
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label class="title ng-binding">Nut allergy</label>
                @Html.DropDownListFor(model => model.Info.NutAllergy, new List<SelectListItem>()
            {
                new SelectListItem() { Text = "", Value = ""},
                new SelectListItem() { Text = "No", Value = "False"},
                new SelectListItem() { Text = "Yes", Value = "True" },

            }, new { @id = "nutAllergy", @class = "form-control" })

            </div>
            <div class="form-group" style="display:@((Model.Info.NutAllergy !=null && Model.Info.NutAllergy.Value) ? "block" :"none" )">
                <label class="title ng-binding req-star">Nut allergy description</label>
                @Html.TextAreaFor(model => model.Info.NutAllergyDescription, 4, 50, new { @class = "form-control", @id = "nutAllergyDescription" })
                @Html.ValidationMessageFor(model => model.Info.NutAllergyDescription, "", new { @class = "text-danger" })
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label class="title ng-binding">Doctor name</label>
                @Html.TextBoxFor(model => model.Info.DoctorName, new { @class = "form-control" })
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="title ng-binding">Doctor phone</label>
                @Html.TextBoxFor(model => model.Info.DoctorPhone, new { @class = "form-control" })
            </div>
        </div>

    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label class="title ng-binding">Doctor location</label>
                @Html.TextBoxFor(model => model.Info.DoctorLocation, new { @class = "form-control" })
            </div>
        </div>
    </div>

    @Html.Hidden("ContactId", Model.ContactId, new { id = "hdnContactId" })
    @Html.Hidden("PlayerId", Model.PlayerId, new { id = "hdnPlayerId" })
    @Html.Hidden("UserId", Model.UserId, new { id = "hdnUserId" })
    @Html.Hidden("PageMode", Model.PageMode, new { id = "hdnPageMode" })
    @Html.Hidden("PageStep", Model.PageStep, new { id = "hdnPageStep" })

    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <a onClick="EditDetailsPlayer()" class="btn btn_side-right-bottom btn_color-green">Submit</a>
                <a href="@Url.Action("GetFamiliesProfile", "Registrant")" class="btn btn_side-right-bottom btn_type-simple">Cancel</a>
            </div>
        </div>
    </div>


}








